<ui:composition xmlns:gri="http://java.sun.com/jsf/composite/gri" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:a4j="http://richfaces.org/a4j"
                xmlns:g="http://www.ihe.net/gazelle" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:h="http://java.sun.com/jsf/html"
                xmlns:rich="http://richfaces.org/rich" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
    <ui:define name="body">
        <h:form id="globalForm">
            <h1>#{messages['gazelle.ordermanager.DicomMessageDetails']}</h1>
            <s:decorate template="/layout/panels/_panel.xhtml"
                        rendered="#{dicomMessageManager.selectedMessage == null}">
                <ui:param name="bodyStyleClass" value="bg-danger"/>
                <span class="gzl-icon-exclamation-triangle"/>
                <h:outputText
                        value="#{messages['gazelle.ordermanager.ThisIdDoesNotMatchAnyOfTheEntriesInTheDatabase']} !"/>
            </s:decorate>
            <s:div rendered="#{dicomMessageManager.selectedMessage != null}">
                <gri:panel>
                    <f:facet name="header">#{messages['gazelle.ordermanager.GeneralInformation']}</f:facet>
                    <div class="row">
                        <div class="col-lg-6">
                            <dl class="dl-horizontal">
                                <s:decorate template="/layout/display/_data_list_item.xhtml">
                                    <ui:define name="label">#{messages['gazelle.ordermanager.MessageType']}</ui:define>
                                    <h:outputText value="#{messages['gazelle.ordermanager.REQUEST']}"
                                                  rendered="#{dicomMessageManager.selectedMessage.isRequest()}"/>
                                    <h:outputText value="#{messages['gazelle.ordermanager.RESPONSE']}"
                                                  rendered="#{not dicomMessageManager.selectedMessage.isRequest()}"/>
                                </s:decorate>
                                <s:decorate template="/layout/display/_data_list_item.xhtml">
                                    <ui:define name="label">#{messages['gazelle.HL7Common.TimeStamp']}</ui:define>
                                    <g:date value="#{dicomMessageManager.selectedMessage.timestamp}"/>
                                </s:decorate>
                                <s:decorate template="/layout/display/_data_list_item.xhtml">
                                    <ui:define name="label">#{messages['gazelle.ordermanager.From']}</ui:define>
                                    <h:outputText value="#{dicomMessageManager.selectedMessage.from}"/>
                                </s:decorate>
                                <s:decorate template="/layout/display/_data_list_item.xhtml">
                                    <ui:define name="label">#{messages['gazelle.ordermanager.To']}</ui:define>
                                    <h:outputText value="#{dicomMessageManager.selectedMessage.to}"/>
                                </s:decorate>
                                <s:decorate template="/layout/display/_data_list_item.xhtml">
                                    <ui:define name="label">#{messages['gazelle.ordermanager.ConnectionId']}</ui:define>
                                    <h:outputText value="#{dicomMessageManager.selectedMessage.connection.id}"/>
                                </s:decorate>
                                <s:decorate template="/layout/display/_data_list_item.xhtml">
                                    <ui:define name="label">#{messages['gazelle.ordermanager.Command']}</ui:define>
                                    <h:outputText value="#{dicomMessageManager.selectedMessage.commandField}"/>
                                </s:decorate>
                            </dl>
                        </div>
                        <div class="col-lg-6">
                            <rich:dataTable value="#{dicomMessageManager.getValidationResults()}"
                                            var="result" id="dcmValidationResultTable" rows="5"
                                            rendered="#{dicomMessageManager.displayResults()}">
                                <f:facet name="header">#{messages['gazelle.ordermanager.ValidationResultsfromEVSClient']})</f:facet>
                                <g:column>
                                    <ui:define name="header">#{messages['net.ihe.gazelle.simulators.OID']}</ui:define>
                                    <h:outputLink value="#{result.permanentLink}">
                                        <h:outputText value="#{result.oid}"/>
                                    </h:outputLink>
                                </g:column>
                                <g:column>
                                    <ui:define name="header">#{messages['gazelle.ordermanager.Date']}</ui:define>
                                    <h:outputText value="#{result.validationDate}"/>
                                </g:column>
                                <g:column>
                                    <ui:define name="header">#{messages['gazelle.ordermanager.Status']}</ui:define>
                                    <h:outputText value="#{result.validationStatus}"/>
                                </g:column>
                                <f:facet name="footer">
                                    <ui:include src="/util/datatableFooter.xhtml">
                                        <ui:param name="dataScrollerId" value="valDs"/>
                                        <ui:param name="dataTableId" value="dcmValidationResultTable"/>
                                    </ui:include>
                                </f:facet>
                            </rich:dataTable>
                        </div>
                    </div>
                </gri:panel>
                <gri:panel rendered="#{not empty dicomMessageManager.selectedMessage.commandSet}">
                    <f:facet name="header">
                        #{messages['gazelle.ordermanager.CommandSet']}
                    </f:facet>
                    <h:outputText escape="false"
                                  value="#{dicomMessageManager.selectedMessage.getAttributesForCommandSet()}"/>
                </gri:panel>
                <ui:decorate template="/layout/panels/_panel_title.xhtml">
                    <ui:define name="panel_title">#{messages['gazelle.ordermanager.MessageContent']}</ui:define>
                    <s:div rendered="#{dicomMessageManager.messageContent != null}">
                        <pre>
                            <h:outputText value="#{dicomMessageManager.messageContent}"/>
                        </pre>
                    </s:div>
                    <s:div styleClass="gzl-alert gzl-alert-orange"
                           rendered="#{dicomMessageManager.errorMessage != null}">
                        <span class="gzl-icon-exclamation-triangle"/>
                        <h:outputText value="#{dicomMessageManager.errorMessage}"/>
                    </s:div>
                </ui:decorate>
                <ui:decorate template="/layout/panels/_panel_title.xhtml">
                    <ui:define name="panel_title">#{messages['gazelle.ordermanager.RelatedMessages']}</ui:define>
                    <h:outputText
                            value="#{messages['gazelle.ordermanager.BelowAreTheMessagesReceivedWithinTheSameAssociat']}."
                            styleClass="help-block"/>
                    <rich:dataTable rendered="#{dicomMessageManager.relatedMessages != null}" id="relMsgList"
                                    value="#{dicomMessageManager.relatedMessages}" var="dcmMessage"
                                    rows="#{dataScrollerMemory.numberOfResultsPerPage}"
                                    render="ds">
                        <ui:include src="/common/dicomMessageColumns.xhtml">
                            <ui:param name="dcmMessage" value="#{dcmMessage}"/>
                        </ui:include>
                        <g:column>
                            <ui:define name="header">#{messages['users.Action']}</ui:define>
                            <h:outputLink
                                    value="#{applicationConfiguration.getValueOfVariable('application_url')}#{dicomMessageBrowser.getPermanentLink(dcmMessage.id)}"
                                    title="#{messages['gazelle.ordermanager.AccessDetails']}">
                                <s:span styleClass="gzl-icon-search "/>
                            </h:outputLink>
                            <h:commandLink action="#{dcmMessage.validate()}"
                                           rendered="#{not empty dcmMessage.filePath}">
                                <s:span styleClass="gzl-icon-play" title="#{messages['gazelle.ordermanager.SendToEVSClientForValidation']}"/>
                            </h:commandLink>
                            <s:span styleClass="gzl-icon-play-black" rendered="#{empty dcmMessage.filePath}"
                                    title="#{messages['gazelle.ordermanager.ThisDICOMMessageContainsNoPayloadToValidate']}"/>
                        </g:column>
                        <f:facet name="footer">
                            <ui:include src="/util/datatableFooter.xhtml">
                                <ui:param name="dataScrollerId" value="ds"/>
                                <ui:param name="dataTableId" value="relMsgList"/>
                            </ui:include>
                        </f:facet>
                    </rich:dataTable>
                </ui:decorate>
            </s:div>
        </h:form>
    </ui:define>
</ui:composition>
